### Name: mdvec
### Title: Converting Multiple Time Series into Input/Output Datasets
### Aliases: mdvec
### Keywords: ts

### ** Examples

# One input time series example
X <- arima.sim(500, model=list(ar=0.7, ma=0.6), sd=sqrt(1))
Y <- NULL
Noise <- rnorm(500, sd=sqrt(1))
for(i in 2 : 500){
Y[i] <- 0.6*X[i-1] + Noise[i]}
input.output <- data.frame(X=X[2:500],Y=Y[2:500])
multi.io     <- mdvec(input.output, lag=10)

# Three input time series example
X <- arima.sim(500, model=list(ar=0.7, ma=0.6), sd=sqrt(1))
R <- arima.sim(500, model=list(ar=0.7), sd=sqrt(1))
Q <- arima.sim(500, model=list(ma=0.6), sd=sqrt(1))
Y <- NULL
Noise <- rnorm(500, sd=sqrt(1))
for(i in 3 : 500){
Y[i] <- (0.6*X[i-1] + 0.7*R[i-2] + 0.8*Q[i-1]) + Noise[i]}
input.output <- data.frame(X=X[3:495],R=R[3:495],Q=Q[3:495],Y=Y[3:495])
multi.io     <- mdvec(input.output, lag=3)



